%include %{_rpmconfigdir}/macros.python3

Name: python3-pandas
Version: 0.22.0
Release: 5
License: BSD-3-CLAUSE
Summary: Powerful data structures for data analysis, time series, and statistics
Url: http://pandas.pydata.org/

Source0: https://files.pythonhosted.org/packages/08/01/803834bc8a4e708aedebb133095a88a4dad9f45bbaf5ad777d2bea543c7e/pandas-0.22.0.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-pip

BuildRequires: python3-numpy
BuildRequires: python3-dateutil
BuildRequires: python3-pytz
BuildRequires: python3-six

Requires: python3-numpy
Requires: python3-dateutil
Requires: python3-pytz
Requires: python3-six

%description
pandas is a Python package providing fast, flexible, and expressive data
structures designed to make working with structured (tabular, multidimensional,
potentially heterogeneous) and time series data both easy and intuitive. It aims
to be the fundamental high-level building block for doing practical, real world
data analysis in Python.

%prep
%setup -q -n pandas-%{version}

%build
# Fix the wrong dependencies /bin/sh and /usr/bin/python
find . -type f | xargs perl -pi -e 's|/usr/env/bin python|%{_bindir}/python3|g;s|#!/bin/sh|#!/QOpenSys/usr/bin/sh|g'

python%{py_ver} setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/pandas*


%changelog
* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove -I and --no-deps from pip install so dependencies build from yum
- Add several BuildRequires

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Clean up

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- BuildRequires python3-devel

* Fri Jul 06 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial commit
